body {
  margin: 0;
  font-family: Verdana, Helvetica, sans-serif;
  background-image: url("images/ninasan.jpg");
  background-size: 1000px 1000px;
  background-position: center;
  height: 100vh;
  padding: 5px;
}

.bigsubtitle {
  font-size: 40px;
  text-align: center;
  color: rgb(10, 0, 194);
}

.guestbook {
  position: relative;
  width: 50%;
  height: 350px;
  border-radius: 20px;
  border-color: #0062ff;
  border-width: 5px;
  border-style: solid;
  margin: -55px auto;
  top: -45px;
}

.subtitle { 
  width: 100%;
  font-size: 30px;
  text-align: center;
  color: rgb(10, 0, 194);
  position: relative;
  top: -30px;
}

.subtitlebox {
  background-color: #1686ff5d;
  padding: -5px;
  border-radius: 30px;
  max-width: 950px;
  max-height: 10000px;
  margin: 5px auto;
  flex: 1;
  order: 2;
  padding-left: 25px;
  padding-right: 25px;
  padding-bottom: 25px;
  border-top-left-radius: 5px;
  border-top-right-radius: 5px;
  border-bottom-left-radius: 30px;
  border-bottom-right-radius: 30px;
  border-color: rgb(0, 98, 255);
  border-width: 5px;
  border-style: solid;
}

.subtitleimg {
  float:right;
  width: 95%;
  margin-top: 1.5px;
  padding: 0px;
  border-radius: 20px;
  display: flex;
  flex-direction: column;
  align-items:center;
  border-color: rgb(0, 98, 255);
  border-width: 5px;
  border-style: solid;
}

.subtitleimgposition {
 position: relative;
  width: 50%;
  float: right;
  right: 0px;
  padding-top: 45px;
}


@keyframes fadeIn {
  from { opacity: 0; transform: translateY(-20px); }
  to { opacity: 1; transform: translateY(0); }
}

.nav {
  background-color:#4fa4ff8e;
  border-color: rgb(0, 98, 255);
  border-width: 5px;
  border-style: solid;
  border-radius: 20px;
  position: fixed;
  top: 12%;
  width: 15%;
  height: 54vh;
  left: 7%;
}

.navbutton {
  color: rgb(10, 0, 194);
  display: flex;
  position: relative;
  top: 10px;
  padding-bottom: 30px;
  left:10px;
  font-size: 50px;
}

.navbutton a:hover {
  color: #e8e5db;
  background-color: #000000;
}

.navicon {
  width: 25%
}


#banner {
  position: relative;
  left: -5px;
  width: 100%;
  max-width: 1000px;
  margin: 0 auto;
  text-align: center;
}

.banner-img {
  width: 100%;
  border-radius: 70px 70px 10px 10px;
  border-color: rgb(0, 98, 255);
  border-width: 5px;
  border-style: solid;
}

.title {
  position: absolute;
  inset: 0;              
  display: flex;
  align-items: center;
  justify-content: center;
  color: rgb(10, 0, 194);
  font-size: 70px;
  margin: 0;
  animation: fadeIn 2s ease-in-out;
}

.rightsidegif {
  width: 25%;
  position: fixed;
  top: 52%;
  right: 0px;
}

.rightsideimage {
  width: 45%;
  position: fixed;
  top: 15%;
  right: -24vh;
}

.rightsideimage3{
  width: 45%;
  position: fixed;
  top: 15%;
  right: -26vh;
}


.rightsideimage2 {
  width: 45%;
  position: fixed;
  top: 15%;
  right: -20vh;
}

.leftsidegif {
  width: 15%;
  position: fixed;
  top: 65%;
  left: 15vh;
}

.sidetext {
  font-size: 30px;
  width: 90%;
  position: absolute;
  top: 445px;
  left: 2px;
  margin: 30px;
  text-align: center;
  color: rgb(10, 0, 194);
}

.gbook {
  margin-top: 400px;
  font-size: 40px;
  text-align: center;
  color: rgb(10, 0, 194);
}

.changelog {
  width: 20%;
  height: 380px;
  position: fixed;
  top: 12%;
  right: 2%;
  border-radius: 20px;
  border-color: #0062ff;
  border-width: 5px;
  border-style: solid;
}

.changetitle {
  font-size: 40px;
  color: #0a00c2;
  position: fixed;
  top: 1%;
  right: 5%;
}

.navtitle {
  font-size: 40px;
  color: rgb(10, 0, 194);
  position: fixed;
  top: 1%;
  left: 9%;
}

.gallery {
  max-width: 900px;
  margin: 0 auto;
  padding: 20px;
}

.gallery h2 {
  text-align: center;
  margin: 30px 0 10px;
  font-size: 40px;
  color: rgb(10, 0, 194);
}

.grid {
  display: grid;
  grid-template-columns: repeat(6, 1fr); 
  gap: 10px;
  justify-items: center;
}

.item img {
  width: 100%;
  aspect-ratio: 2 / 2;
  object-fit: cover;

  border-radius: 8px;
  border: 2px solid #0062ff;

  transition: transform 0.2s ease;
}

.item img:hover {
  transform: scale(1.08);
}

    .posts {
  flex: 3;
}

.post {
  background: rgba(53, 137, 255, 0.385);
  padding: 10px,20px;
  margin-bottom: 15px;
  border-radius: 20px;
}

.date {
  font-size: 20px;
  color: rgb(10, 0, 194);
}

h2 {
    font-size: 35px;
    color: rgb(10, 0, 194);
}

.musicbox {
background-color: #1686ff5d;
align-items: center;
  padding: -5px;
  border-radius: 30px;
  max-width: 950px;
  max-height: 1235px;
  margin: 5px auto;
  padding-left: 25px;
  padding-right: 25px;
  border-top-left-radius: 5px;
  border-top-right-radius: 5px;
  border-bottom-left-radius: 30px;
  border-bottom-right-radius: 30px;
  border-color: rgb(0, 98, 255);
  border-width: 5px;
  border-style: solid
}

.musictext{
    font-size: 30px;
    text-align: center;
    color: rgb(10, 0, 194);
    position: relative;
    top: 5px;
}

.musicbigtext{
    font-size: 40px;
    color: rgb(10, 0, 194);
    position: relative;
    left:12vh;
    top: -5vh;
}

.musicbigtext2{
    font-size: 40px;
    color: rgb(10, 0, 194);
    position: relative;
    left:3vh;
    top: -25vh;
}

.albumimg {
    width: 45%;
    border-radius: 30px;
    border-color: rgb(0, 98, 255);
    border-width: 5px;
    border-style: solid;
    position: relative;
    top: -9vh;
    left: 3vh;
}

.albumimg2 {
  width: 45%;
    border-radius: 30px;
    border-color: rgb(0, 98, 255);
    border-width: 5px;
    border-style: solid;
    position: relative;
    top: -84vh;
    left: 3vh;
}

.musicsmalltext{
    width: 40%;
    font-size: 25px;
    color: rgb(10, 0, 194);
    text-align: center;
    position: relative;
    left: 57vh;
    bottom: 25vh;
}

.musicsmalltext2{
    width: 45%;
    font-size: 25px;
    color: rgb(10, 0, 194);
    text-align: center;
    position: relative;
    left: 55vh;
    bottom: 33vh;
}


#nowPlayingBox {
    position: fixed;
    top: 2vh;
    right: 2vh;
    background: rgba(0, 0, 255, 0.3);
    padding: 10px 10px;
    border-radius: 15px;
    border: 3px solid blue;
    display: none;
    overflow: hidden;
    width: 20%;
}

#nowPlayingText {
    white-space: nowrap;
    font-size: 30px;
    color: blue;
    animation: scrollText 6s linear infinite;
}

@keyframes scrollText {
    0% { transform: translateX(100%); }
    100% { transform: translateX(-100%); }
}

#randomBtn {
    padding: 10px 20px;
    border-radius: 20px;
    background: blue;
    color: white;
    font-size: 25px;
    border: none;
    cursor: pointer;
    position: fixed;
    right: 2vh;
    top: 9vh;
}

#toggleBtn {
    padding: 10px 20px;
    border-radius: 20px;
    background: blue;
    color: white;
    font-size: 25px;
    border: none;
    cursor: pointer;
    position: fixed;
    right: 33vh;
    top: 9vh;
}

.bioflex {
  display: flex;
  gap: 20px;
  align-items: flex-start;
}

.biotext {
  flex: 1;
}

.bioimg {
  width: 50%;
  border-radius: 30px;
  border: 5px solid rgb(0, 98, 255);
  position: relative;
  top: 7vh;
  left: 1vh;
}